Subject: Re: [PATCH v4] log: add log.follow config option

From: Matthieu Moy <[email-masked]>
Date: Thu, 09 Jul 2015 10:38:10 +0200

David Turner <[email-masked]> writes:

> This version uses tweak, and also includes Matthieu Moy's suggested
> whitespace fix.

This comment should come below the --- after the commit message (right
before the diffstat). Otherwise, Junio will get this as the commit
message when applying, and your actual commit message will be ignored.

> ---
> Many users prefer to always use --follow with logs.  Rather than
> aliasing the command, an option might be more convenient for some.
>
> Junio C Hamano <[email-masked]> suggested using the tweak
> functionality for this, which is much nicer than what I had before.

I would avoid using "what I had before" in the commit message: readers
of "git log" do not know what you had before. OTOH, crediting Junio for
the idea is good.

> Signed-off-by: David Turner <[email-masked]>
> ---

(This is the place for comments)

>  Documentation/git-log.txt |  6 ++++++
>  builtin/log.c             | 16 ++++++++++++++++
>  diff.c                    |  5 +++--
>  diff.h                    |  1 +
>  t/t4202-log.sh            | 23 +++++++++++++++++++++++
>  5 files changed, 49 insertions(+), 2 deletions(-)

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/